Bug 827097 - webadmin [Multiple Domains]: remove of tag "single domain storage" when exporting vm is not updated and vm is imported to single domain
webadmin [Multiple Domains]: remove of tag "single domain storage" when expor...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.1.0
Assigned To: Gilad Chaplik
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 11:27 EDT by Dafna Ron
Modified: 2016-02-10 12:11 EST (History)
9 users (show)

See Also:
Fixed In Version: SI17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:04:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (1.10 KB, application/x-xz)
2012-05-31 11:27 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-05-31 11:27:36 EDT
Created attachment 588138 [details]
log

Description of problem:

"single destination storage" tag is not actually removed when untagging it in the import domain. 
as a result, even if I remove the tag, the vm's images are cloned to the same target domain instead of the selected domains. 

Version-Release number of selected component (if applicable):

si4

How reproducible:

100%

Steps to Reproduce:
1. create a vm with disks on 3 different domins
2. export the vm -> delete it from the setup
3. import the vm -> remove the "single destination storage" tag (select the vm to see that you actually have 3 different domains autoselected once the tag is removed) -> import the vm
  
Actual results:

images are imported to a single domain

Expected results:

we should import the images to the assigned domains

Additional info: backend log
Comment 1 Dafna Ron 2012-05-31 11:46:23 EDT
the same issue exists with templates import
Comment 2 Ayal Baron 2012-08-01 09:57:18 EDT
I don't understand, did you *choose* different storage domains for different disks?
Comment 3 Dafna Ron 2012-08-01 10:23:44 EDT
I did not choose. 
I removed the single storage domain tag. 
looking at the disks tab the domains selected (automatically) are the domains that the disks were originally created on.
Comment 4 Gilad Chaplik 2012-08-19 05:26:55 EDT
pushed upstream (http://gerrit.ovirt.org/#/c/7313/)
Comment 6 vvyazmin@redhat.com 2012-09-06 09:23:11 EDT
Verified on RHEVM 3.1 - SI17

RHEVM: rhevm-3.1.0-15.el6ev.noarch
VDSM: vdsm-4.9.6-32.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.4.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.2.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

Note You need to log in before you can comment on or make changes to this bug.